From: "Andrew Ammerlaan" <andrewammerlaan@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/proj/guru:master commit in: dev-util/typescript-language-server/
Date: Tue, 13 Sep 2022 10:53:14 +0000 (UTC) [thread overview]
Message-ID: <1663016246.9a19a6564c1dee197075b1ee2c1f5fb88afd683f.andrewammerlaan@gentoo> (raw)
commit: 9a19a6564c1dee197075b1ee2c1f5fb88afd683f
Author: Ronny (tastytea) Gutbrod <gentoo <AT> tastytea <DOT> de>
AuthorDate: Mon Sep 12 20:18:04 2022 +0000
Commit: Andrew Ammerlaan <andrewammerlaan <AT> gentoo <DOT> org>
CommitDate: Mon Sep 12 20:57:26 2022 +0000
URL: https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=9a19a656
dev-util/typescript-language-server: add 1.2.0
Signed-off-by: Ronny (tastytea) Gutbrod <gentoo <AT> tastytea.de>
dev-util/typescript-language-server/Manifest | 2 +
.../typescript-language-server-1.2.0.ebuild | 45 ++++++++++++++++++++++
2 files changed, 47 insertions(+)
diff --git a/dev-util/typescript-language-server/Manifest b/dev-util/typescript-language-server/Manifest
index 713137fce..a065aba24 100644
--- a/dev-util/typescript-language-server/Manifest
+++ b/dev-util/typescript-language-server/Manifest
@@ -1,2 +1,4 @@
DIST typescript-language-server-1.1.2-deps.tar.xz 1496552 BLAKE2B 0edf2dd42d218c82ccb32eeb32a716f63dd5badd7b2235d44dd828e9ba49dc4704ea7d539f800efa70ebef7b89b9f5a02743824c7898f47169f99842b1046d59 SHA512 8b60500027ae7ca056c7bb8012ec5d5adf2c210e446eda3ccedacc7a88471417e7b837e6ca15480e9ae54a1fd3b52b83d22c5f868b8c53deabcd52fe523e581d
DIST typescript-language-server-1.1.2.tgz 122199 BLAKE2B bc7e22de39627df7d7b88113c7639170e809b875b7105e1e8b3ff17f7c871d78b4ab0bc344187c991e193700dd81583d895e4c8a9a378a465f4c139b8841e87b SHA512 8107f8a7716f28aa52842c19725221edbdd5b669ae304b6eaf5c4fcfaa531fe8a56b0de35029ab72f2d4e73cf9f7ff511c11e474fe97ad1ea9f51750f0afbc29
+DIST typescript-language-server-1.2.0-deps.tar.xz 1517048 BLAKE2B c50f025be2fa5ec5c3b792e05da21f6c785e6e25b6f6aac72c6d3da511f176f6aed780da1d457cfbc0570f7f68ca90ea515ec2df155cfee4c953f5257daa67bd SHA512 4ff12fa5f6f0cb4bf15b9e51218579660997b122c38cfa80a895d44cd7c16aa12e9cb7ec2562d8285e941150886b6396934f562ea9e6e2e9f11bb2c8a35839c5
+DIST typescript-language-server-1.2.0.tgz 141254 BLAKE2B bed5d6f8098daee226ac92f10c334a8ddacaaff20cee43c3ca922b3df29b99795c46fb767ba018d1495c0c1ed26ccc711bce40efdda8a43e6d9df136a15183ce SHA512 021c64a3874a80e63fa464cc773795c3f3532190b8cf7dcea84b3bc65477544577e88657d7639f27cbb05d26e64c9942875410d76769420c14b8dbd27db581e3
diff --git a/dev-util/typescript-language-server/typescript-language-server-1.2.0.ebuild b/dev-util/typescript-language-server/typescript-language-server-1.2.0.ebuild
new file mode 100644
index 000000000..ee1519add
--- /dev/null
+++ b/dev-util/typescript-language-server/typescript-language-server-1.2.0.ebuild
@@ -0,0 +1,45 @@
+# Copyright 2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DESCRIPTION="TypeScript & JavaScript Language Server"
+HOMEPAGE="https://www.npmjs.com/package/typescript-language-server"
+SRC_URI="
+ mirror://npm/${PN}/-/${P}.tgz
+ https://tastytea.de/files/gentoo/${P}-deps.tar.xz
+"
+S="${WORKDIR}"
+
+# NOTE: to generate the dependency tarball:
+# npm --cache "$(realpath ./npm-cache)" install $(portageq envvar DISTDIR)/${P}.tgz
+# tar -caf ${P}-deps.tar.xz npm-cache
+
+LICENSE="Apache-2.0 ISC MIT-with-advertising"
+SLOT="0"
+KEYWORDS="~amd64"
+
+RDEPEND="
+ net-libs/nodejs
+ dev-lang/typescript
+"
+BDEPEND="net-libs/nodejs[npm]"
+
+src_unpack() {
+ cd "${T}" || die "Could not cd to temporary directory"
+ unpack ${P}-deps.tar.xz
+}
+
+src_install() {
+ npm \
+ --offline \
+ --verbose \
+ --progress false \
+ --foreground-scripts \
+ --global \
+ --prefix "${ED}"/usr \
+ --cache "${T}"/npm-cache \
+ install "${DISTDIR}"/${P}.tgz || die "npm install failed"
+
+ einstalldocs
+}
next reply other threads:[~2022-09-13 10:53 UTC|newest]
Thread overview: 22+ messages / expand[flat|nested] mbox.gz Atom feed top
2022-09-13 10:53 Andrew Ammerlaan [this message]
-- strict thread matches above, loose matches on Subject: below --
2022-09-30 2:12 [gentoo-commits] repo/proj/guru:master commit in: dev-util/typescript-language-server/ Haelwenn Monnier
2022-09-30 2:12 Haelwenn Monnier
2022-12-16 16:39 Florian Schmaus
2022-12-16 16:39 Florian Schmaus
2022-12-29 11:33 Florian Schmaus
2022-12-29 11:33 Florian Schmaus
2023-01-12 10:38 Florian Schmaus
2023-01-12 10:38 Florian Schmaus
2023-01-29 10:40 Viorel Munteanu
2023-01-29 10:40 Viorel Munteanu
2023-01-29 10:53 Haelwenn Monnier
2023-02-08 12:09 Florian Schmaus
2023-02-08 12:09 Florian Schmaus
2023-02-23 9:24 Viorel Munteanu
2023-02-23 9:24 Viorel Munteanu
2023-03-31 10:16 Florian Schmaus
2023-03-31 10:16 Florian Schmaus
2023-11-16 10:05 David Roman
2023-11-16 10:05 David Roman
2024-02-11 17:50 David Roman
2024-02-11 17:50 David Roman
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1663016246.9a19a6564c1dee197075b1ee2c1f5fb88afd683f.andrewammerlaan@gentoo \
--to=andrewammerlaan@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox